@import "_vars";

/*$h1-font-size: 64px;
$h2-font-size: 48px;
$h3-font-size: 36px;
$h4-font-size: 24px;
$h5-font-size: 20px;
$h6-font-size: 16px;

p: 16px;
p.lead: 20px;
p.lead-2: 24px;
p.lead-3: 36px;

*/

/* *******************************************
 **************** Styles *************** *
 ******************************************* */


html {
    font-size: var(--bodyFontSize);
}

body {
    background-color: var(--background);
}

i.mdi {
    color: var(--primaryColor);
}


.header-background {
    background-color: var(--headerBg);
    //color: var(--textDark);
    //font-display: swap;
    min-height: 70px;
}


.footer-background {
    background-color: var(--footerBg);
    //color: var(--textDark);
    //font-display: swap;
}


body, p , h1, h2, h3, h4, h5, h6, .navbar .logo-text {
    font-family: var(--fontFamily);
    text-align: var(--body-text-align);
    font-display: swap;
}

.navbar .logo-text {
    color: var(--primaryColor);

}



body,
p {
    line-height: 1.6;

}

p {
   font-size: 1rem;
    color: var(--textLight);
}

h1 {
    font-size: 3.125rem;
    color: var(--textDark);
    font-weight: 700;

}

h2 {
    font-size: 2.75rem;
    color: var(--textDark);

    font-weight: 700;

}

h3 {
    font-size: 2.25rem;
    color: var(--textDark);

    font-weight: 700;

}

h4 {
    font-size: 1.75rem;

    color: var(--textDark);

    font-weight: 700;
    font-style: normal;
    font-stretch: normal;
    line-height: normal;
    letter-spacing: normal;

}

h5 {
    font-size: 1.5rem;

    color: var(--textDark);

    font-weight: 700;
    font-style: normal;
    font-stretch: normal;
    line-height: normal;
    letter-spacing: normal;
}

h6 {
    font-size: 1.25rem;

    color: var(--textDark);

    font-weight: 700;
    font-style: normal;
    font-stretch: normal;
    line-height: normal;
    letter-spacing: normal;
}


.main-content {
    overflow: hidden;
}

.bg-white {
    background-color: #FFFFFF !important;
}

/* *******************************************
 **************** Section *************** *
 ******************************************* */

section.section {
    padding-top: 7.5rem;
    padding-bottom: 7.5rem;
    background-color: var(--section);
}



/* *******************************************
 ************** Footer ********************* *
 ******************************************* */
footer {
    .logo {
        img {
            max-width: 100px;
        }
    }

    ul {
        li {
            display: inline-flex;
            margin: 0 5px;
        }
    }
}

/* *******************************************
 **************** Elements *************** *
 ******************************************* */

/* Google Maps */
#map {
    height: 400px;
    width: 100%;

    img {
        width: inherit;
    }

    .gmnoprint {
        width: 200px;
    }
}

/* To Top */
#to-top {
    position: fixed;
    bottom: 30px;
    right: 30px;
    cursor: pointer;
    opacity: .4;
    z-index: 99;
}

#to-top:hover {
    opacity: 1;
}


//----------------------------------------------------/
// Material Design Icons
//----------------------------------------------------/
$icons-sizes-list: 12 14 16 18 20 22 24 26 28 30 32 34 36 38 40 42 44 46 48 50 52 54 56 58 60 62 64 66 68 70 72 74 76 78 80 82 84 86 88;
@each $value in $icons-sizes-list {
    div.icon-size-#{$value}px {
        pointer-events: none;

        * {
            pointer-events: none;
        }

        h1, h2, h3, h4, h5, h6, i, span, p {
            pointer-events: all;
        }

        i.fa,
        i.fas,
        i.far,
        i.fab,
        i.mdi,
        i.material-icons,
        [class^="mw-micon-"],
        [class*=" mw-micon-"]
        {
            font-size: #{$value}px!important;
        }
    }

    i.icon-size-#{$value}px {

        font-size: #{$value}px;

    }

    .mdi.mdi-#{$value}px:before {
        font-size: #{$value}px !important;
    }
}


.slick-slide {
    outline: 0 !important;
}

.slick-slider:not(.slick-vertical) .slick-list,
.slick-slider:not(.slick-vertical) .slick-track {
    height: 100% !important;
}

.slick-slider {
    .slick-dots {
        text-align: center;
        margin-top: 0px;
        bottom: 35px;

        li {
            display: inline-block;
            font-size: 0px;
            margin: 0 5px;
            width: auto;

            button {
                border: 0;
                height: 8px;
                width: 8px;
                -webkit-border-radius: 14px;
                -moz-border-radius: 14px;
                border-radius: 14px;
                background: $gray-400;

                &:before {
                    display: none;
                }
            }

            &.slick-active button {
                background: var(--textDark);
                height: 12px;
                width: 12px;
            }
        }

        @media screen and (max-width: 1199px) {
            .slide.slick-center {
                margin-top: 0px;
            }

            margin-top: 30px;
        }
    }
}

.slickSlider-skin-1,
.slickSlider-skin-3 {
    .slick-arrow {
        z-index: 9;
        width: 50px;
        height: 50px;
        background: $white;
        //background: rgba(red($white), green($white), blue($white), 0.7);
        display: flex;
        align-items: center;
        justify-content: center;
        opacity: 0.5;
        color: var(--textDark);

        &:hover {
            background: $white;
            opacity: 1;
        }

        &:before {
            display: inline-block;
            font: normal normal normal 24px/1 "Material Design Icons";
            text-rendering: auto;
            line-height: inherit;
            -webkit-font-smoothing: antialiased;
            -moz-osx-font-smoothing: grayscale;
            font-size: 30px;
            color: var(--primaryColor);
        }
    }

    .slick-arrow.slick-next {
        right: 0;

        &:before {
            content: "\F0054";
        }
    }

    .slick-arrow.slick-prev {
        left: 0;

        &:before {
            content: "\F004D";
        }
    }
}

.slick-dots-relative .slick-dots {
    position: relative !important;
    bottom: 0 !important;
}

.slick-arrows-1 {
    .slick-arrow {
        z-index: 9;
        width: 50px;
        height: 50px;
        background-color: var(--textDark)!important;
        //background: rgba(red($white), green($white), blue($white), 0.7);
        display: flex;
        align-items: center;
        justify-content: center;
        opacity: 0.7;
        border-radius: 100%;

        &:hover {
            background: #5f5f5f;
            opacity: 1;
        }

        &:before {
            display: inline-block;
            font: normal normal normal 24px/1 "Material Design Icons";
            text-rendering: auto;
            line-height: inherit;
            -webkit-font-smoothing: antialiased;
            -moz-osx-font-smoothing: grayscale;
            font-size: 30px;
            color: $white;
        }
    }

    .slick-arrow.slick-next {
        right: 0;

        &:before {
            content: "\F0142";
        }
    }

    .slick-arrow.slick-prev {
        left: 0;

        &:before {
            content: "\F0141";
        }
    }
}

.slick-arrows-2 {
    .slick-arrow {
        z-index: 9;
        width: 50px;
        height: 50px;
        background: $white;
        //background: rgba(red($white), green($white), blue($white), 0.7);
        display: flex;
        align-items: center;
        justify-content: center;
        opacity: 0.7;
        border-radius: 100%;

        &:hover {
            background: $white;
            opacity: 1;
        }

        &:before {
            display: inline-block;
            font: normal normal normal 24px/1 "Material Design Icons";
            text-rendering: auto;
            line-height: inherit;
            -webkit-font-smoothing: antialiased;
            -moz-osx-font-smoothing: grayscale;
            font-size: 30px;
            color: $silver;
        }
    }

    .slick-arrow.slick-next {
        right: 0;

        &:before {
            content: "\F0142";
        }
    }

    .slick-arrow.slick-prev {
        left: 0;

        &:before {
            content: "\F0141";
        }
    }
}


.bx-wrapper {
    border: 0 !important;
    box-shadow: none !important;
    margin-bottom: 0 !important;

    .bx-pager {
        bottom: 30px !important;

        .bx-pager-item a {
            border: 1px solid var(--primaryColor) !important;
            height: 14px !important;
            width: 14px !important;
            -webkit-border-radius: 24px !important;
            -moz-border-radius: 24px !important;
            border-radius: 24px !important;
            background: transparent !important;
            margin: 0 10px !important;
        }

        .bx-pager-item a.active {
            background: var(--primaryColor) !important;
        }
    }
}

.bxSlider-skin-1 {
    .bx-wrapper {
        .bx-pager {
            .bx-pager-item a {
                height: 24px !important;
                width: 24px !important;
                margin: 0 10px !important;
            }
        }
    }
}

.bxSlider-skin-3,
.bxSlider-skin-4 {
    .bx-wrapper {
        .bx-pager {
            bottom: 50px;
        }

        .bx-pager a {
            margin: 0 5px !important;
            border: 0 !important;
            height: 4px !important;
            width: 16px !important;
            -webkit-border-radius: 0px !important;
            -moz-border-radius: 0px !important;
            border-radius: 0px !important;
            background: $white !important;
        }

        .bx-pager a.active {
            background: var(--primaryColor) !important;
        }

        .bx-controls-direction {
            a {
                background: none;
                font-size: 0;
                text-indent: 0 !important;
                text-decoration: none !important;
                background: $white;
                border-radius: 100%;
                width: 58px;
                height: 58px;
                display: inline-flex;
                align-content: center;
                justify-content: center;
            }

            a:before {
                font: normal normal normal 58px/1 "Material Design Icons";
                color: $dark;
                font-size: 36px;
                text-shadow: none;
                display: inline-flex;
                align-content: center;
                justify-content: center;
                line-height: 1.6;
                opacity: .5;
            }

            a.bx-next {
                right: 5%;
            }

            a.bx-next:before {
                content: "\F0142";
            }

            a.bx-prev {
                left: 5%;
                text-align: right;
            }

            a.bx-prev:before {
                content: "\F0141";
            }
        }
    }
}

//
//.mw-live-edit .module.module-btn {
//    display: inline-block;
//}

.skip-edit {
    pointer-events: none;
}

.skip-edit > * {
    pointer-events: all;
}


.show-on-hover {
    visibility: hidden !important;
}

.show-on-hover-root:hover .show-on-hover {
    visibility: visible !important;
}


/* Faces */
.testimonials-faces-wrapper {
    .mwt-faces {
        display: block;
        text-align: center;
        position: relative;
    }

    .mwt-face {
        display: inline-block;
        position: relative;
        border-radius: 100px;
        border: 2px solid #fff;
        background-position: center top;
        background-size: cover;
        background-repeat: no-repeat;
        -webkit-transition: all 0.5s;
        -moz-transition: all 0.5s;
        transition: all 0.5s;
        opacity: 0;
        width: 0;
        height: 0;
        cursor: pointer;
    }

    .subactive > .mwt-face {
        width: 40px;
        height: 40px;
        opacity: 1
    }

    .active > .mwt-face {
        width: 80px;
        height: 80px;
        opacity: 1;
        margin: 0 10px;
    }

    .mw-testimonials-item-faces {
        outline: none
    }

    .mw-testimonials-faces {
        .slick-dots {
            list-style: none;
            text-align: center;
            font-size: 0;
            position: absolute;
            top: 100%;
            left: 0;
            width: 100%;
            margin-top: 50px;
        }
    }

    .mwt-face-name {
        position: absolute;
        top: 100px;
        left: 0;
        width: 100%;
        font-size: 21px;
        margin-top: 31px;
        color: white;
        -webkit-transition: all 0.3s;
        -moz-transition: all 0.3s;
        transition: all 0.3s;
        opacity: 0
    }

    .active > .mwt-face-name {
        opacity: 1;
    }
}

.navbar-collapse {
    width: 100%;
}

.nav-holder {
    a:hover, a:hover span {
        color: var(--primaryColor);
    }

    .dropdown-menu {
        a {
            padding: 0.7rem 1rem !important;
            font-weight: normal !important;
        }
    }

    @media screen and (max-width: 991px) {
        width: 100%;
        .navbar-nav {
            //background-color: #fff;
            box-shadow: 0 0px 1px rgba(0, 0, 0, 0.19), 0 0.1px 2px rgba(0, 0, 0, 0.4);
            padding: 15px;
            border-radius: 3px;
            width: 100%;

            .dropdown-menu {
                //padding: 0 0 0 20px;
                border: 0;
                margin-bottom: 10px;

                a {
                    padding: 0.7rem 1rem !important;
                    font-weight: normal !important;
                    text-align: center;
                }
            }

            li {
                padding: 10px;
            };
        }

    }
}
.navbar-toggler {
    border: 1px solid var(--primaryColor)!important;
    padding: 5px;
    outline: 0 !important;
}

.header-menu-toggle-button {
    color: var(--primaryColor)!important;
}

.form-control {
    border-radius: 0;
}

.form-control-secondary {
    .form-control {
        background: #F3F3F3;
        border-color: #F3F3F3;
    }
}

.form-control-outline-dark {
    .form-control {
        border-color: $dark;
    }
}

.form-control-transparent-5 {
    .form-control {
        opacity: .5;
    }
}

.form-control- {
    .form-control {
        border-radius: 20px;
        overflow: hidden;
    }
}


.btn {
    border-radius: 0;
}

.btn-primary {
    background: var(--primaryColor)!important;
    border-color: var(--primaryColor)!important;
    color: var(--btnText)!important;

    i.mdi {
        color: var(--btnText);
    }
}

.text-primary {
    background: var(--primaryColor)!important;
    border-color: var(--primaryColor)!important;
    color: var(--textDark)!important;
}

.border-primary, .border {
    border-color: var(--textDark)!important;
}

.text-dark {
    color: var(--textDark)!important;
}

.btn-outline-primary {

    color: var(--primaryColor)!important;;
    border-color: var(--primaryColor)!important;;
    &:hover {
        background-color: var(--primaryColor)!important;
        border-color: var(--primaryColor)!important;
        color: var(--btnText)!important;

        i {
            color: $white!important;

        }
    }
}


a {
    color: var(--links)!important;
}


.bg-secondary {
    background-color: var(--textDark)!important;
}


.slider-background-holder {
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
    position: static;
}


.hover-bg-body:hover .bg-body {
    background: var(--primaryColor) !important;
    color: var(--btnText)!important;

}


.hover-bg-body:hover .bg-body i {
    color: var(--btnText)!important;
}

.shop-inner-gallery {
    @media screen and (min-width: 1360px) {
        display: flex;
    }


    //@media screen and (max-width: 1360px) {
    //
    //    .shop-inner-big-image {
    //
    //            width: 266px;
    //
    //    }
    //}
    @media screen and (min-width: 1360px) {

        .shop-inner-big-image {
            img {
                width: 100%;
            }
        }
    }



    .shop-inner-gallery-thumbnails{
        @media screen and (min-width: 1360px) {
            margin-right: 20px;

            width: 266px;
        }
        display: flex;
        z-index: 1;
        flex-direction: column;

        a {
            @media screen and (min-width: 1360px) {
                height: 120px;
            }
            height: 300px;
            display: block;
            //width: 100%;
            background-position: center center;
            background-size: cover;
            background-repeat: no-repeat;
            margin: 0 0px 10px;
        }
    }
}

.module-menu {
    ul{
        li {
            a {
                color: var(--menuColor)!important;
            }

            a.active {
                color: var(--primaryColor)!important;

            }
        }
    }

    .dropdown-menu {
        background: var(--headerBg)!important;
    }

}

